Bug 1571280 - Unmanage doesn't start when more clusters are available
Summary: Unmanage doesn't start when more clusters are available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1526338
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:40 UTC by Filip Balák
Modified: 2018-09-04 07:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:04:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:05:55 UTC

Description Filip Balák 2018-04-24 12:40:29 UTC
Description of problem:
I have a setup with 3 clusters without any volume. 1 cluster with 4 nodes and 2 clusters with 1 node.
When I import any of them into Tendrl then I can not unmanage it. The job remains in `new` state.

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-8.el7rhgs.x86_64
tendrl-ansible-1.6.3-2.el7rhgs.noarch
tendrl-api-1.6.3-1.el7rhgs.noarch
tendrl-api-httpd-1.6.3-1.el7rhgs.noarch
tendrl-commons-1.6.3-2.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-1.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-1.el7rhgs.noarch
tendrl-node-agent-1.6.3-2.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

How reproducible:
It happened every time I tried it from snapshot with the configuration (6 test runs).

Steps to Reproduce:
1. Create 3 gluster clusters and install Tendrl on top of them.
2. Import one or more of created clusters.
3. Unmanage one of the clusters.

Actual results:
Unmanage cluster job doesn't start and remains as 'new'.

Expected results:
Unmanage cluster job should start correctly.

Additional info:

Comment 1 gowtham 2018-05-01 14:33:52 UTC
can you please update ansible version in a server and try it again, I faced this issue and i updated serve ansible version and then it works fine. Just for confirmation can you please update server ansible and try once again.

Comment 2 Filip Balák 2018-05-02 08:02:10 UTC
I have updated ansible from ansible-2.5.1-1.el7ae.noarch to ansible-2.5.2-1.el7ae.noarch but I still see the issue. Which version should I use?

Comment 3 gowtham 2018-05-02 08:10:43 UTC
Rohan, fix for latest ansible is merged in this build?

Comment 5 gowtham 2018-05-02 11:37:19 UTC
Similar issue https://bugzilla.redhat.com/show_bug.cgi?id=1572118

Comment 8 Filip Balák 2018-05-10 08:08:55 UTC
Seems ok --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch
ansible-2.5.2-1.el7ae.noarch

Comment 10 errata-xmlrpc 2018-09-04 07:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.